(function ($, Drupal){

  const branchSelectorUpdate = Drupal.behaviors.openy_branch_selector?.updateLink;

  if(branchSelectorUpdate) {
    Drupal.behaviors.openy_branch_selector.updateLink = function(context, settings) {
      const preferred_branch = $.cookie('openy_preferred_branch');
      const link = $('.branch-cookie-handler', context);
      let link_text = Drupal.t('Set preferred location');
      this.action = 'flag';
      if (typeof preferred_branch !== 'undefined' && preferred_branch === this.nid) {
        this.action = 'unflag';
        link.addClass('active');
        link_text = Drupal.t('My preferred location');
      } else {
        link.removeClass('active');
      }

      // Update link text.
      $('span', link).text(link_text);
      // show link is ready
      link.removeClass('d-none');
    };
  } else {
    $('.branch-cookie-handler').removeClass('d-none');
  }

})(jQuery, Drupal);
